%global gem_name ruby-pcap
%global rubyabi 1.9.1

Name: rubygem-%{gem_name}
Version: 0.7.8
Release: 1%{?dist}
Summary: Ruby interface to LBL Packet Capture library.
Group: Development/Languages
License: MIT
URL: https://github.com/ickymettle/ruby-pcap
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel 
BuildRequires: libpcap-devel
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby interface to LBL Packet Capture library. This library also includes
classes to access packet header fields.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"

gem install --local --install-dir ./%{gem_dir} \
            -V \
            --force %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir}/lib
mv %{buildroot}%{gem_instdir}/lib/pcap.so %{buildroot}%{gem_extdir}/lib/

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_instdir}/ext
%{gem_extdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/.gitignore
%{gem_instdir}/COPYING
%{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%{gem_instdir}/MANIFEST
%{gem_instdir}/Rakefile
%{gem_instdir}/VERSION
%{gem_instdir}/examples/httpdump.rb
%{gem_instdir}/examples/rewrite_time.rb
%{gem_instdir}/examples/tcpdump.rb
%{gem_instdir}/examples/test.rb
%{gem_instdir}/ruby-pcap.gemspec

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/README.ja
%doc %{gem_instdir}/doc
%doc %{gem_instdir}/doc-ja

%changelog
* Sat Feb 23 2013 Sam Kottler <skottler@fedoraproject.org> - 0.7.8-1
- Initial package
